RedBoot User's Guide
Prev |  | Next

# gunzip

## Name

gunzip -- Uncompress GZIP compressed data

## Synopsis

gunzip {-s `source`} {-d `destination`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-s `location1` | Memory address | Location of GZIP compressed data to uncompress. | Value set by last load or fis load command.
-d `location2` | Memory address | Destination to write uncompressed data to. | none

## Description

Uncompress GZIP compressed data.

## Examples

Uncompress data at location 0x100000 to 0x200000.

    RedBoot> gunzip -s 0x100000 -d 0x200000
    Decompressed 38804 bytes

Prev | Home | Next
iopoke | Up | ip_address